#
# spec file for package choqok
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           choqok
Version:        1.5
Release:        4.2
Summary:        Micro-Blogging Client for KDE
License:        GPL-3.0
Group:          Productivity/Networking/Other
Url:            http://choqok.gnufolks.org
Source:         http://downloads.sourceforge.net/project/choqok/Choqok/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  libattica-devel
BuildRequires:  libkde4-devel
BuildRequires:  libqca2-devel
BuildRequires:  libqjson-devel
BuildRequires:  qoauth-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
A Free/Open Source micro-blogging client for the K Desktop Environment.
The name comes from an ancient Persian word which means Sparrow.
It currently supports twitter.com and identi.ca services.

%package devel
Summary:        Micro-Blogging Client for KDE
Group:          Development/Libraries/KDE
Requires:       choqok = %{version}

%description devel
A Free/Open Source micro-blogging client for the K Desktop Environment.
The name comes from an ancient Persian word which means Sparrow.
It currently supports twitter.com and identi.ca services.

%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  pushd build
  %kde4_makeinstall
  %fdupes %{buildroot}
  popd
  %suse_update_desktop_file %{name} InstantMessaging
  %kde_post_install
  %find_lang choqok

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS changelog COPYING README TODO
%{_kde4_applicationsdir}/choqok.desktop
%{_kde4_appsdir}/choqok/
%{_kde4_appsdir}/choqok_filter/
%{_kde4_appsdir}/choqok_nowlistening/
%{_kde4_appsdir}/choqok_searchaction/
%{_kde4_appsdir}/choqok_quickfilter/
%{_kde4_appsdir}/dbus-1
%{_kde4_appsdir}/khtml/kpartplugins/konqchoqok*
%{_kde4_bindir}/choqok
%config %{_kde4_configkcfgdir}/bit_ly_settings.kcfg
%config %{_kde4_configkcfgdir}/choqokappearancesettings.kcfg
%config %{_kde4_configkcfgdir}/choqokbehaviorsettings.kcfg
%config %{_kde4_configkcfgdir}/flickrsettings.kcfg
%config %{_kde4_configkcfgdir}/imstatussettings.kcfg
%config %{_kde4_configkcfgdir}/is_gd_settings.kcfg
%config %{_kde4_configkcfgdir}/mobypicturesettings.kcfg
%config %{_kde4_configkcfgdir}/nowlisteningsettings.kcfg
%config %{_kde4_configkcfgdir}/posteroussettings.kcfg
%config %{_kde4_configkcfgdir}/tinyarro_ws_settings.kcfg
%config %{_kde4_configkcfgdir}/twitgoosettings.kcfg
%config %{_kde4_configkcfgdir}/twitpicsettings.kcfg
%config %{_kde4_configkcfgdir}/yourlssettings.kcfg
%{_kde4_htmldir}/*
%{_kde4_iconsdir}/hicolor/*/apps/*
%{_kde4_iconsdir}/hicolor/*/actions/retweet.*
%{_kde4_libdir}/libchoqok.so.*
%{_kde4_libdir}/libtwitterapihelper.so.*
%{_kde4_modulesdir}/choqok*
%{_kde4_modulesdir}/kcm_choqok*
%{_kde4_modulesdir}/konqchoqokplugin.so
%{_kde4_servicesdir}/ServiceMenus/choqok*
%{_kde4_servicesdir}/choqok*
%{_kde4_servicetypesdir}/choqok*
%if 0%{suse_version} < 1320
%dir %{_datadir}/appdata
%endif
%{_datadir}/appdata/choqok.appdata.xml

%files devel
%defattr(-,root,root)
%{_kde4_appsdir}/cmake/modules/*
%{_kde4_includedir}/choqok/
%{_kde4_libdir}/libchoqok.so
%{_kde4_libdir}/libtwitterapihelper.so

%changelog
* Tue Feb 24 2015 buschmann23@opensuse.org
- Update to 1.5:
  * Yourls plugin fixed. (by Benjamin Marwell) [BUG:265219]
  * Pump.io plugin added. (by Andrea Scarpino) [BUG:319348]
  * Preview of images posted via Twitter.com added. (by Daniel Kreuter) [BUG:299433]
  * Option to disable system tray. (by Andrea Scarpino) [BUG:241152]
  * Twitter friend list update fixed. [BUG:325071]
  * Add "Report User" to User menu Actions (by Ahmed I. Khalil)
  * Get custom char limit for the Status.net accounts. (by Andrea Scarpino) [BUG:283298]
  * Goo.gl shortner plugin fixed. (by Andrea Scarpino) [BUG:338917]
  * New plugin for expanding tiny URLs. (by Andrea Scarpino) [BUG:294600]
  * KDE Telepathy support in IMStatus Plugin (by Ahmed I. Khalil) [BUG:301702]
  * Broken shortening plugins removed
- removed patches that have been integrated upstream
  * choqok-1.4-twitter-favorities-fix.patch
  * choqok-1.4-plugin-yourls-fix.patch
- added libattical devel to the BuildRequires
* Thu Dec 11 2014 olaf@aepfle.de
- Correct usage of fdupes macro
* Thu Feb  6 2014 fisiu@opensuse.org
- Add choqok-1.4-twitter-favorities-fix.patch: fix bnc#862467.
- Add choqok-1.4-plugin-yourls-fix.patch: fix yourls shortener plugin,
  kde#265219.
* Wed Sep  4 2013 fisiu@opensuse.org
- Update to 1.4:
  * Support for Twitter API v1.1.
  * "Mark timeline as read" menu item added to tabs context menu.
  * Show "In reply to" in twitter search timelines.
  * Identi.ca support removed from StatusNet plugin.
  * And some other minor fixes
- Drop twitter-api.diff: fixed upstream.
* Sun Jun 16 2013 tittiatcoke@gmail.com
- Added patch twitter-api.diff to make choqok work with the
  Twitter api v1.1 (bko#264091)
* Wed Apr 17 2013 coolo@suse.com
- remove file conflicting with kdepimlibs4
* Tue Mar  6 2012 mlin@suse.com
- Update to version 1.3
  * Support for Twitter photo upload API method
  * Translator plugin shuts off due Google terminated its free API
  * Toolbar for Choqok
  * Filter plugin new feature: Add a filter to Highlight a post containing some text
  * Improvements in new tab bar UI
  * Show first 4 characters of search timeline name over the timeline icon
* Sat Oct  8 2011 toddrme2178@gmail.com
- Removed commented files (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Thu Jul 28 2011 javier@opensuse.org
- Add user friends list bugfix (bko#275185)
* Mon Apr  4 2011 wstephenson@novell.com
- Update to version 1.1
  * Translator plugin
  * Quick Filter plugin
  * System tray icon problem in GNOME fixed
  * Hide Menu-bar option
  * Choqok caches posts automatically and not just at exit
  * Fixed video preview plugin problem that causes Choqok to crash
  * Bug fixes
* Tue Mar 22 2011 coolo@novell.com
- licenses package is about to die
* Thu Jan 27 2011 tittiatcoke@gmail.com
- Update to version 1.0
  * Bug fixes and improvements around RC1 release
  * Twitter Lists support in Choqok [FEATURE:216249]
  * Option to show timelines in reverse order [FEATURE:241743]
  * Additional action in input boxes' context menu that will shorten
    all selected URLs or all URLs if there's no selection.
  * "Hide Post" option for post widgets.
  * BiDi support is back.
  * Support for Twitgoo service in imagepreview plugin. (Alex Infantes)
  * Digg shortener plugin removed.
  * Support for LibIndicate to use as an alternate notification
    system. (It's Optional)
  * Send reply to original author of repeated posts + cc to repeater.
  * "Reply to USER", "Write to USER", "Reply to all" actions added to
    reply button menu.
  * Filter plugin: Option to just show own replies or just show replies
    to my friends added
  New Plugins:
  - OCS Plugin to support "Open Collaboration Services API"
    provided by opendesktop.org and its partners
  - IMStatus plugin to set your post as current status in
    IM clients (Kopete, Pidgin, PSI, Skype)
  - Twitgoo image uploader
  - Mobypicture uploader
  - Posterous uploader
  - ImageShack uploader (Just image uploading)
  - Flickr uploader (Just image uploading)
  Plugins removed:
  - u.nu shortner, due its service discontinued
  - YFrog uploader (temporary)
* Tue Sep 21 2010 tittiatcoke@gmail.com
- Corrected translatons to be corresponding with the Choqok version.
* Wed Sep  1 2010 tittiatcoke@gmail.com
- update to a newer svn snapshot (Beta3)
  * Better nick name detection.
  * Better URL detection.
  * Fetching Friends List problems fixed.
  * UnTiny plugin can use untiny.com service instead of its
    generic way (Configurable)
  * Using the Choqok way to show repeated dents/tweets made
    optional (Default is Twitter way)
  * Confirm dialog for Re tweet
  * When KWallet isn’t available, Choqok will store secrets in text
    files (Not plain text, Base64)
  * Choqok 1.0Beta2 was needs kdelibs 4.5 , We changed this to
    work with 4.4 too.
* Sat Aug 28 2010 tittiatcoke@gmail.com
- Update to newer svn snapshot
  * Includes newest translations
* Wed Aug 25 2010 tittiatcoke@gmail.com
- update to latest svn snapshot
  * Adding error notification.
  * Option to use UnTiny.com instead of generic redirect detection added
  * twitter edit account bug fixed!
  * Matched FriendsList request for Twitter to new API (bko#248206)
  * Underline can be part of nick too.
  * Doesn't show friends list when reply nick is on the end of message and post sending via pressing enter.
  * Fix: text on systray icon too big when using "--graphicssystem raster" (bko#248216)
  * Corrections related with special XML characteres (&amp;, etc...)
  * fix: Choqok Segfaults while looking up a profile (bko#247096)
  * bugfixes (bko#227987, bko#243368)
* Fri Aug  7 2009 tittiatcoke@gmail.com
- Update to version 0.6.6
  * Icon improved and made greenish.
  * Ability to follow a thread (Or option to see all previous posts of a conversation)
  * Ability to resolve a TinyURL into a regular URL on url tooltip.
  * Replaced RT for ReTweet function by ♻-Symbol.
  * Identica hashtag search problem fixed and works again. (And it's a full text search like Twitter custom)
  * cycle through accounts using the scroll wheel on the system tray icon.
* Sun Jun 14 2009 tittiatcoke@gmail.com
-update to version 0.6.1
  + bugfix release due to new situation on twitter.com (more than 2,147,483,647 tweets)
* Sun May 24 2009 tittiatcoke@gmail.com
- update to version 0.6
  + Add support for smilies in texts.
  + Add support for ReTweet function.
  + Twitpic.com integration added, Posting to it and showing a thumbnail of it's pictures.
  + Posting "Currently listening to ..." text for Amarok 2.X Player implemented!
  + Option to use a custom browser instead of kde default implemented! (For Gnome users)
  + Ability to abort posting new status.
  + A "Who is ..." item added to user menu, to see Bio/Url and name of a user.
  + Support for Digg.com shorturls service added.
  + Better support for right to left languages, And users who use multiple languages with different directions.
  + Image caching improved and some related bugs fixed.
